Get Asset OHLCV
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug}/ohlcv \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}/ohlcv"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/ohlcv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"open": 2991.0164373997,
"high": 4514.81,
"low": 4347.24,
"close": 2972.9752699223,
"volume": 14018548707.668,
"updated_at": 1759454319,
"asset_code": "ETH",
"asset_slug": "ethereum"
}assets
Get Asset OHLCV
Get OHLCV (Open, High, Low, Close, Volume) data for the last 24 hours for a single asset. Returns only the OHLCV data with asset identifiers.
GET
/
v1
/
assets
/
{idOrSlug}
/
ohlcv
Get Asset OHLCV
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug}/ohlcv \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}/ohlcv"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/ohlcv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"open": 2991.0164373997,
"high": 4514.81,
"low": 4347.24,
"close": 2972.9752699223,
"volume": 14018548707.668,
"updated_at": 1759454319,
"asset_code": "ETH",
"asset_slug": "ethereum"
}Authorizations
Path Parameters
Response
OHLCV data for the specified asset
Unix timestamp
Maximum string length:
20Maximum string length:
100